%bcond_without check

%global goipath         github.com/gdamore/tcell/v2
Version:                2.7.0

%gometa

%global common_description %{expand:
Tcell is an alternate terminal package, similar in some ways to termbox, but
better in others.}

%global golicenses      LICENSE
%global godocs          CHANGESv2.md AUTHORS TUTORIAL.md README.md
%global gosupfiles      webfiles/*

Name:           %{goname}
Release:    2%{?dist}
Summary:        Alternate terminal package

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

BuildRequires:  kitty-terminfo
BuildRequires:  ncurses
BuildRequires:  ncurses-base
BuildRequires:  ncurses-term
BuildRequires:  rxvt-unicode


%description %{common_description}

%gopkg

%prep
%goprep

find terminfo/?/ \! -path '*alacritty/direct.go' -a \! -path '*foot/foot.go' -a \! -path '*sun/term.go' -a \! -path '*xterm/direct.go' -a \! -path '*xterm_termite/term.go' -type f -delete
sed -i 's/go run mkinfo.go/$1/g' terminfo/gen.sh

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/mkinfo terminfo/mkinfo.go
pushd terminfo
bash -x gen.sh %{gobuilddir}/bin/mkinfo
popd

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CHANGESv2.md AUTHORS TUTORIAL.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.7.0-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-1
- initial build
